#ifndef __PUTIL_H__
#define __PUTIL_H__

#include "stm32l4xx_hal.h"

int p_printf(const char* fmt, ...);
void p_uart_init(UART_HandleTypeDef* huart);

#ifdef DEBUG
	#define PDEBUG(f_, ...) p_printf((f_), ##__VA_ARGS__)
#else
	#define PDEBUG(f_, ...) void((f_), ...)
#endif

#endif
